/* --- COFFEE CUP --- */
body {
	display: flex;
	flex-direction: column;
	min-height: 100vh;
}

main.content {
	flex: 1;
	position: relative;
}

.wrap {
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	display: flex;
	cursor: pointer;
	justify-content: center;
	align-items: center;
	-webkit-tap-highlight-color: transparent;
	user-select: none;
}

/* Talerzyk */
.saucer {
	width: 200px;
	background-color: #dcdcdc;
	height: 60px;
	top: -40px;
	margin-top: 190px;
	position: absolute;
	border-radius: 70% 70% 60% 60%;
	pointer-events: none;
}

/* Filiżanka */
.coffe-cup {
	height: 160px;
	position: relative;
	width: 200px;
	background-color: #f1f1f1;
	border-radius: 20% 20% 70% 70%;
	margin-top: 30px;
	z-index: 999;
	transition: transform 0.2s ease-in-out;
	pointer-events: all;
}

.coffe-cup::before {
	content: '';
	position: absolute;
	top: -25px;
	left: 0px;
	width: 171px;
	height: 60px;
	background-color: #6f4e37;
	border-radius: 50%;
	z-index: 998;
	box-shadow: inset 0 0 15px rgba(0, 0, 0, 1), inset 15px 0px 15px #d7b787;
	border: 15px solid #f1f1f1;
}

/* Uszko filiżanki */
.coffe-cup::after {
	content: '';
	position: absolute;
	right: -58px;
	top: 20px;
	width: 45px;
	height: 70px;
	transform: rotate(10deg);
	border-radius: 90% 50% 120px 35%;
	border: 18px solid #f1f1f1;
}

.coffe-cup:hover {
	box-shadow: 0 0 5rem #ffda70;
}

/* Para z filiżanki */
.steam {
	width: 10px;
	height: 199px;
	background: #9d9d9d;
	position: absolute;
	top: -50%;
	animation: waft 5s linear infinite;
	filter: blur(25px);
	border-radius: 70%;
	opacity: 0;
	display: block;
	pointer-events: none;
}

.steam-1 {
	left: 25%;
}

.steam-2 {
	left: 30%;
}

.steam-3 {
	left: 40%;
}

.steam-4 {
	left: 50%;
}

.steam-5 {
	left: 60%;
}

/* Animacja pary z losowymi opóźnieniami i zmieniającą się wysokością */
@keyframes waft {
0% {
	transform: translate3d(0, 0, 0) scale(1) rotate(0deg);
	opacity: 1;
}
50% {
	transform: translate3d(0, -600px, 0) scale(1.5) rotate(-30deg);
	opacity: 0.6;
}
100% {
	transform: translate3d(0, -900px, 0) scale(2) rotate(30deg);
	opacity: 0;
}
}

/* Animacja skoku filiżanki */
@keyframes jump {
	0% {
		transform: translateY(0) rotate(0) translateX(0);
	}
	10% {
		transform: translateY(-85px) rotate(0) translateX(0);
	}
	20% {
		transform: translateY(0) rotate(1deg) translateX(0);
	}
	28% {
		transform: translateY(-25px) rotate(-0.8deg) translateX(0);
	}
	36% {
		transform: translateY(0) rotate(0.8deg) translateX(0);
	}
	44% {
		transform: translateY(-15px) rotate(-0.5deg) translateX(0);
	}
	52% {
		transform: translateY(0) rotate(0.5deg) translateX(0);
	}
	60% {
		transform: translateY(-8px) rotate(-0.3deg) translateX(0);
	}
	68% {
		transform: translateY(0) rotate(0.3deg) translateX(0);
	}
	76% {
		transform: translateY(-4px) rotate(-0.2deg) translateX(0);
	}
	84% {
		transform: translateY(0) rotate(0.2deg) translateX(0);
	}
	90% {
		transform: translateY(0) rotate(-0.1deg) translateX(-2px);
	}
	96% {
		transform: translateY(0) rotate(0.1deg) translateX(2px);
	}
	100% {
		transform: translateY(0) rotate(0) translateX(0);
	}
}

.coffe-cup.jump {
animation: jump 1s ease-out;
}

.steam-1 {
animation-delay: 1s;
}

.steam-2 {
animation-delay: 0s;
}

.steam-3 {
animation-delay: 2s;
}

.steam-4 {
animation-delay: 1.5s;
}

.steam-5 {
animation-delay: 0s;
}

.coffe-cup {
       height: 160px;
       position: relative;
       width: 180px;
       background-color: #f1f1f1;
       border-radius: 20% 20% 70% 70%;
       margin-top: 30px;
       z-index: 999;
       transition: transform 0.2s ease-in-out;
       pointer-events: all;
}

.coffe-cup::before {
       content: '';
       position: absolute;
       top: -19px;
       left: 0px;
       width: 150px;
       height: 50px;
       background-color: #6f4e37;
       border-radius: 50%;
       z-index: 998;
       box-shadow: inset 0 0 15px rgba(0, 0, 0, 1), inset 1>
       border: 15px solid #f1f1f1;
}

.coffe-cup::after {
       content: '';
       position: absolute;
       right: -52px;
       top: 20px;
       width: 40px;
       height: 64px;
       transform: rotate(10deg);
       border-radius: 90% 50% 120px 35%;
       border: 18px solid #f1f1f1;
}

.coffe-cup:hover {
       box-shadow: 0 0 3rem #ffda70;
}

.tooltip-style {
	user-select: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	position: fixed;
	background-color: #900;
	color: white;
	padding: 5px 10px;
	border-radius: 5px;
	font-size: 12px;
	white-space: nowrap;
	opacity: 0;
	pointer-events: none;
	transition: opacity 0.25s ease, transform 0.25s ease;
	z-index: 1000;
}

